@echo off
rem -------------------------------------------------------------------------
rem ModeShape Rest Client CLI Script for Windows
rem -------------------------------------------------------------------------

@if not "%ECHO%" == ""  echo %ECHO%
@if "%OS%" == "Windows_NT" setlocal

if "%OS%" == "Windows_NT" (
  set "DIRNAME=%~dp0%"
) else (
  set DIRNAME=.
)

pushd "%DIRNAME%.."

rem Setup JBoss specific properties
if "x%JAVA_HOME%" == "x" (
  set  JAVA=java
  echo JAVA_HOME is not set. Unexpected results may occur.
  echo Set JAVA_HOME to the directory of your local JDK to avoid this message.
) else (
  set "JAVA=%JAVA_HOME%\bin\java"
)

SET CLASSPATH=%DIRNAME%\*
"%JAVA%" org.modeshape.web.jcr.rest.client.json.JsonRestClient %*

:END
if "x%NOPAUSE%" == "x" pause


